Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class ProcessDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.ProcessDesc

All Implemented Interfaces:
  Serializable

    @Entity
    public class ProcessDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessDesc()`
`ProcessDesc(long pk, String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String domainName, Date dataTimeStamp)`
`ProcessDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String domainName)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getDataTimeStamp()`
`String` | `getDomainName()`
`String` | `getId()`
`String` | `getKnowledgeType()`
`String` | `getName()`
`String` | `getNamespace()`
`String` | `getOriginalPath()`
`String` | `getPackageName()`
`long` | `getPki()`
`int` | `getSessionId()`
`String` | `getSessionName()`
`String` | `getType()`
`String` | `getVersion()`
`int` | `hashCode()`
`void` | `setDomainName(String domainName)`
`void` | `setId(String id)`
`void` | `setName(String name)`
`void` | `setOriginalPath(String originalPath)`
`void` | `setPackageName(String packageName)`
`void` | `setPki(long pk)`
`void` | `setSessionId(int sessionId)`
`void` | `setSessionName(String sessionName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessDesc

    public ProcessDesc()

### ProcessDesc

    public ProcessDesc(long pk,
                       String id,
                       String name,
                       String version,
                       String packageName,
                       String type,
                       String knowledgeType,
                       String namespace,
                       String domainName,
                       Date dataTimeStamp)

### ProcessDesc

    public ProcessDesc(String id,
                       String name,
                       String version,
                       String packageName,
                       String type,
                       String knowledgeType,
                       String namespace,
                       String domainName)

Method Detail

### getPki

    public long getPki()

### setPki

    public void setPki(long pk)

### getId

    public String getId()

### getName

    public String getName()

### getVersion

    public String getVersion()

### getPackageName

    public String getPackageName()

### getType

    public String getType()

### getKnowledgeType

    public String getKnowledgeType()

### getNamespace

    public String getNamespace()

### getDomainName

    public String getDomainName()

### setDomainName

    public void setDomainName(String domainName)

### getDataTimeStamp

    public Date getDataTimeStamp()

### getSessionId

    public int getSessionId()

### setSessionId

    public void setSessionId(int sessionId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSessionName

    public String getSessionName()

### setSessionName

    public void setSessionName(String sessionName)

### setId

    public void setId(String id)

### setName

    public void setName(String name)

### setPackageName

    public void setPackageName(String packageName)

### getOriginalPath

    public String getOriginalPath()

### setOriginalPath

    public void setOriginalPath(String originalPath)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.